[Libreoffice-commits] core.git: solenv/bin

Andras Timar andras.timar at collabora.com
Mon May 18 02:15:43 PDT 2015


 solenv/bin/macosx-codesign-app-bundle |    9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

New commits:
commit 77b3bd22b208c1764923eaaed267c3dee7447ecb
Author: Andras Timar <andras.timar at collabora.com>
Date:   Mon May 18 07:15:52 2015 +0200

    OS X codesign fix (e.g. --disable-python case)
    
    Change-Id: Icf6b2b9722481492a2d8d70af9dbb34b04a40df7
    Reviewed-on: https://gerrit.libreoffice.org/15779
    Tested-by: Jenkins <ci at libreoffice.org>
    Reviewed-by: Andras Timar <andras.timar at collabora.com>

diff --git a/solenv/bin/macosx-codesign-app-bundle b/solenv/bin/macosx-codesign-app-bundle
index 78a7e53..e65d8e6 100755
--- a/solenv/bin/macosx-codesign-app-bundle
+++ b/solenv/bin/macosx-codesign-app-bundle
@@ -62,9 +62,12 @@ done
 
 for i in gengal python senddoc unoinfo
 do
-    codesign --verbose --identifier="$MACOSX_BUNDLE_IDENTIFIER.$i" \
-        --sign "$MACOSX_CODESIGNING_IDENTITY" "$APP_BUNDLE/Contents/MacOS/$i" \
-    || exit 1
+    if [ -f "$APP_BUNDLE/Contents/MacOS/$i" ]
+    then
+        codesign --verbose --identifier="$MACOSX_BUNDLE_IDENTIFIER.$i" \
+            --sign "$MACOSX_CODESIGNING_IDENTITY" "$APP_BUNDLE/Contents/MacOS/$i" \
+        || exit 1
+    fi
 done
 
 # Sign frameworks.


More information about the Libreoffice-commits mailing list